javax.swing.plaf.basic

## Class BasicToolBarUI.PropertyListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicToolBarUI.PropertyListener

All Implemented Interfaces:
  PropertyChangeListener, EventListener

Direct Known Subclasses:
  MetalToolBarUI.MetalRolloverListener

Enclosing class:
  BasicToolBarUI

    protected class BasicToolBarUI.PropertyListener
    extends Object
    implements PropertyChangeListener

### Constructor Summary

Constructors
`protected` `PropertyListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `propertyChange(PropertyChangeEvent e)` This method gets called when a bound property is changed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyListener

    protected PropertyListener()

### Method Detail

#### propertyChange

    public void propertyChange(PropertyChangeEvent e)

Description copied from interface: `PropertyChangeListener`
This method gets called when a bound property is changed.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Parameters:
  `e` - A PropertyChangeEvent object describing the event source and the property that has changed.